return {
  'ribru17/bamboo.nvim',
  lazy = true,
  priority = 1000,
  config = function()
    local colors = require('bamboo.palette')
    require('bamboo').setup({
      dim_inactive = false, -- Dim inactive windows/buffers
      cmp_itemkind_reverse = true,
      lualine = {
        transparent = false, -- lualine center bar transparency
      },
      code_style = {
        comments = { italic = false },
        conditionals = { italic = false },
        keywords = {},
        functions = {},
        namespaces = { italic = false },
        parameters = { italic = false },
        strings = {},
        variables = {},
      },
      highlights = {
        ['@lsp.type.comment'] = { link = '@comment', default = true },
        ['@comment'] = { fg = colors.vulgaris.light_grey, default = true },
        ['@lsp.type.parameter'] = { fg = colors.vulgaris.red },
        ['@lsp.mod.readonly'] = { fmt = 'bold', fg = 'NONE' },
        ['@lsp.typemod.parameter.readonly'] = { fmt = 'bold', fg = 'NONE' },
        ['@lsp.typemod.method.defaultLibrary.cpp'] = { fg = 'NONE' },
        ['@function.builtin'] = { fg = 'NONE' },
        ['LspReferenceRead'] = { bg = colors.vulgaris.green, fg = colors.vulgaris.bg1, fmt = 'nocombine' },
        ['LspReferenceWrite'] = { bg = colors.vulgaris.red, fg = colors.vulgaris.bg1, fmt = 'nocombine' },
        ['LspReferenceText'] = { bg = colors.vulgaris.cyan, fg = colors.vulgaris.bg1, fmt = 'nocombine' },
        ['Delimiter'] = { fg = colors.vulgaris.fg },
      },
    })
    require('bamboo').load()
  end,
  enabled = true,
}
